import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { MyComponentComponent } from './my-component/my-component.component';
import { DataBindingsComponent } from './data-bindings/data-bindings.component';
import { InlineComponent } from './inline/inline.component';
import { ParentComponent } from './parent/parent.component';
import { SumComponent } from './sum/sum.component';
import { SameInstanceOfServiceComponent } from './same-instance-of-service/same-instance-of-service.component';
import { PageNotFoundComponent } from './page-not-found/page-not-found.component';
import { MoviesComponent } from './movies/movies.component';
import { MovieDetailComponent } from './movie-detail/movie-detail.component';
import { ContactFormComponent } from './contact-form/contact-form.component';
import { ReactiveContactFormComponent } from './reactive-contact-form/reactive-contact-form.component';

const routes: Routes = [
  {
    path: '',
    redirectTo: '/firstComponent',
    pathMatch: 'full'
  },
  {
    path: 'firstComponent',
    component: MyComponentComponent
  },
  {
    path: 'dataBindings',
    component: DataBindingsComponent
  },
  {
    path: 'inlineComponent',
    component: InlineComponent
  },
  {
    path: 'componentsCommunication',
    component: ParentComponent
  },
  {
    path: 'sum',
    component: SumComponent
  },
  {
    path: 'sameInstanceOfService',
    component: SameInstanceOfServiceComponent
  },
  {
    path: 'contactForm',
    component: ContactFormComponent
  },
  {
    path: 'reactiveContactForm',
    component: ReactiveContactFormComponent
  },
  {
    path: 'routing',
    component: MoviesComponent,
    children: [
      {
        path: ':id',
        component: MovieDetailComponent
      }
    ]
  },
  {
    path: '**',
    component: PageNotFoundComponent
  }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
