import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { MyComponentComponent } from './my-component/my-component.component';
import { InlineComponent } from './inline/inline.component';
import { DataBindingsComponent } from './data-bindings/data-bindings.component';
import { ChildComponent } from './child/child.component';
import { ParentComponent } from './parent/parent.component';
import { SecondChildComponent } from './second-child/second-child.component';
import { SumComponent } from './sum/sum.component';
import { SameInstanceOfServiceComponent } from './same-instance-of-service/same-instance-of-service.component';
import { ChangeStateComponent } from './change-state/change-state.component';
import { NavbarComponent } from './navbar/navbar.component';
import { PageNotFoundComponent } from './page-not-found/page-not-found.component';
import { MoviesComponent } from './movies/movies.component';
import { MovieDetailComponent } from './movie-detail/movie-detail.component';
import { ContactFormComponent } from './contact-form/contact-form.component';
import { ReactiveContactFormComponent } from './reactive-contact-form/reactive-contact-form.component';

@NgModule({
  declarations: [
    AppComponent,
    MyComponentComponent,
    InlineComponent,
    DataBindingsComponent,
    ChildComponent,
    ParentComponent,
    SecondChildComponent,
    SumComponent,
    SameInstanceOfServiceComponent,
    ChangeStateComponent,
    NavbarComponent,
    PageNotFoundComponent,
    MoviesComponent,
    MovieDetailComponent,
    ContactFormComponent,
    ReactiveContactFormComponent
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    FormsModule,
    ReactiveFormsModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
